/**
 * @file
 * Variables
 */

// ================================================================================
//                        Global variables

// Layout

$site_max_width:          1600px;
$text-max-width:          40rem;



$header-height:           60px;
$nav-height:              40px;
$footer-height:           100px;
$sidebar-width:           25%;

$w-narrow:                480px; /* 30em @ 16px font size */
$w-regular:               1000px; /* 60em @ 16px font size */
$w-wide:                  1200px; /* 80em @ 16px font size */

$gutter-narrow:           20px;
$gutter-regular:          50px;
$gutter-wide:             80px;

$site_padding-narrow:     5%;


// Interactive components

// The amount lists, blockquotes and comments are indented.
$indent-amount:           30px;
/* Microsoft research says 40px is ideal size for a touch target */
$pointer_target-size:     2.5rem; /* height or width */

$pointer_target-padding:  0.6em 0.8em;
$pointer_target-line-height:  1.3em; /* Assuming font-size: 1rem; */

$data-field-padding:      0.3em 0.5em; /* used by table cells and text fields */

// Panels, dialogs
$corner_radius-large:     8px;
// Tabs
$corner_radius-regular:   5px;
// Buttons, icons
$corner_radius-small:     3px;

/* used in width functions */
$w-narrow:                30em; /* 480px @ 16px font size */
$w-average:               60em; /* 960px @ 16px font size */
$w-wide:                  80em; /* 1280px @ 16px font size */

$transition-duration-regular:   0.4s;



// =============================================================================
//                        TYPOGRAPHY

//------------------------------------------------------------------------
//                            Font faces, stacks and sizes.
//

$font-size:               1em;
$line-height:             1.4; // height of block of text = font size (calc. in pixels) * line-height * lines of text

$font-size-h1:            2.5em;
$font-size-h2:            1.5em;
$font-size-h3:            1.3em;
$font-size-h4:            1.1em;
$font-size-h5:            0.83em;
$font-size-h6:            0.67em;

$line-height-h1:          1;
$line-height-h2:          1.15;
$line-height-h3:          1.3;
$line-height-h4:          1.38;
$line-height-h5:          1.45;
$line-height-h6:          1.5;

//------------------------------------------------------------------------
//                            Imports
//

@font-face {
  font-family: proximanova;
  src: url('../fonts/proxima_ssv/FontsFree-Net-proxima_nova_reg-webfont.ttf');
  font-style: normal;
  font-weight: 400;
}


@font-face {
  font-family: proximanova;
  src: url('../fonts/proxima_ssv/FontsFree-Net-Proxima-Nova-Light.otf');
  font-style: normal;
  font-weight: 300;
}

@font-face {
  font-family: proximanova;
  src: url('../fonts/proxima_ssv/FontsFree-Net-Proxima-Nova-Sbold.otf');
  font-style: normal;
  font-weight: 600;
}

@font-face {
  font-family: azona-sans;
  src: url('../fonts/azosans/Rui Abreu - AzoSans-Regular.otf');
  font-style: normal;
  font-weight: lighter;
}

$courier:                 'Courier New', monospace, sans-serif;

$font-azona-sans:          azona-sans;
$font-proxima-nova:        proximanova;

$font-body:               $font-proxima-nova;
$font-headings:           $font-body;

$base-font-family:        $font-body; // The font family set on the html element.
$font-monospace:          $courier;

$font-weight-body:        400;
$font-weight-links:       600;


// =============================================================================
//                        COLOURS

//------------------------------------------------------------------------
//                            Definitions
//

// Definitions
$colour-near_white:       #8f999e;
$colour-dark_grey:        #444;
$colour-medium_grey:      #999;
$colour-dividers:         rgba( black, 0.2);
$colour-blue:             #2c76c9;

// Site Color
$colour-dark-turquois:    #192c36;
$colour-yellow:           #ffff00;

$colour-selection:        #40b6ff;
$colour-danger:           #c72100;
$colour-error:            #e62600;
$colour-warning:          #e09600;
$colour-success:          #77b259;


/* Social media */
$twitter:                 #00aced;
$facebook:                #3b5998;
$google:                  #dd4b39;
$linkedin:                #007bb6;
$youtube:                 #bb0000;



//------------------------------------------------------------------------
//                            Assignments
//

$colour-primary:          $colour-medium_grey;
$colour-secondary:        $colour-medium_grey;

$colour-bg-body:          $colour-near_white;
$colour-text-body:        $colour-near_white;
$colour-links:            $colour-blue;
$colour-subtle:           scale-lightness( $colour-text-body, 20% );
$colour-banner:           darkblue;

$colour-bg-footer:        $colour-dark_grey;
$colour-text-footer:      $colour-medium_grey;


$colour-headings:        $colour-text-body;